package com.taais.biz.service;

import com.taais.biz.domain.DataAmplificationTask;
import com.taais.biz.domain.bo.DataAmplificationTaskBo;
import com.taais.biz.domain.vo.DataAmplificationTaskVo;
import com.taais.common.core.core.page.PageResult;

import java.util.List;

public interface IDataAmplificationTaskService {

    DataAmplificationTaskVo selectById(Long id);

    List<DataAmplificationTaskVo> selectList(DataAmplificationTaskBo taskBo);

    PageResult<DataAmplificationTaskVo> selectPage(DataAmplificationTaskBo taskBo);

    boolean insert(DataAmplificationTaskBo taskBo);

    DataAmplificationTask insertTask(DataAmplificationTaskBo taskBo);

    boolean update(DataAmplificationTaskBo taskBo);

    boolean deleteByIds(Long[] ids);
}
